﻿using UnityEngine;
using System.Collections;

public class Key : MonoBehaviour 
{
	public int keyType = 1;
	public AudioClip collectSound;

	void OnTriggerEnter(Collider other)
	{
		var player = other.GetComponent<Player>();
		if(player != null)
		{
			if(player.currentKey == 0)
			{
				player.PickupKey(keyType);
				Destroy(this.gameObject);
				AudioSource.PlayClipAtPoint(collectSound, transform.position);
			}
			else
			{
				Messenger.SetMessage("You are already holding an item and cannot pick up another.");
			}
		}
	}
}
