﻿using UnityEngine;
using System.Collections.Generic;

public class ArrayUtility : MonoBehaviour 
{
	public static T GetRandomElement<T>(IList<T> array)
	{
		return array[Random.Range(0, array.Count)];
	}

	public static T GetRandomElementAndRemove<T>(IList<T> array)
	{
		var i = Random.Range(0, array.Count);
		var result = array[i];
		array.RemoveAt(i);
		return result;
	}

}
