using UnityEngine;
using System.Collections.Generic;

static internal class Vector3Utility
{
	static internal bool Approximately(this Vector3 value, Vector3 other)
	{
		return value.x.Approximately(other.x) &&
			value.y.Approximately(other.y) &&
			value.z.Approximately(other.z);
	}

	static internal string ToStringPrecise(this Vector3 value)
	{
		return string.Format("({0:0.000000}, {1:0.000000}, {2:0.000000})", value.x, value.y, value.z);
	}
}
