﻿using UnityEngine;
using System.Collections;

public class ZeusPortal : MonoBehaviour 
{
	public AudioClip collectSound;

	void OnTriggerEnter(Collider other)
	{
		var player = other.GetComponent<Player>();
		if(player != null)
		{
			player.transform.position = new Vector3(-12f, -40f, 0f);
			player.heading = 90f;

			AudioSource.PlayClipAtPoint(collectSound, transform.position);
		}
	}
}
