﻿using UnityEngine;
using System.Collections;

public class InputManager : MonoBehaviour 
{
	public Player player;
	public CameraController cameraController;

	void Start () 
	{
	
	}
	
	void Update () 
	{
		var movement = GetMovement();
		var strafe = Input.GetAxis("Strafe");
		player.ApplyMovement(movement, strafe);
		ApplyCameraMovement();

//		if(Input.GetMouseButton(1))
//		{
//			ApplyCameraMovement();
//		}
//		else if(Input.GetMouseButton(2))
//		{
//			ApplyCameraMovement();
//		}
//		else
//		{
//			CancelCameraMovement();
//		}

		if(Input.GetButton("Ram"))
		{
			player.UseRam();
		}
	}

	private Vector3 GetMovement()
	{
		var x = Input.GetAxis("Horizontal"); 

		var z = Input.GetAxis("Vertical");
		var y = Input.GetAxis("Elevate");
		
		var movement = new Vector3(x, y, z);
		//Debug.Log(movement);
		return movement;//.normalized;
	}
	
	private void ApplyCameraMovement()
	{
		//cameraController.ApplyCameraMovement(new Vector2((float)Input.mousePosition.x / (float)Screen.width, (float)Input.mousePosition.y / (float)Screen.height));

		cameraController.ApplyCameraMovement(Input.GetAxis("Mouse Y"));

	}

//	private void CancelCameraMovement()
//	{
//		cameraController.CancelCameraMovement();
//	}
}
